import express from "express";
import MulterClient from "../utils/multer.js";

import {
    getHeroImages,
    createHeroImage,
    uploadHeroImages,
    updateHeroImage,
    deleteHeroImage,
} from "../controllers/HeroImage.controller.js";

const HeroImageRouter = express.Router();

HeroImageRouter.get("/", getHeroImages)
    .post("/", createHeroImage)
    .post("/upload", MulterClient.array("heroImages", 10), uploadHeroImages)
    .put("/:id", updateHeroImage)
    .delete("/:id", deleteHeroImage);

export default HeroImageRouter;
